Planetary Cycles
POST /api/v1/planetary-cycles
POST
/api/v1/planetary-cycles
Find all conjunctions between two planets within a date range, defining the start of a new synodic cycle.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Example
{ "planet1Id": 5, "planet2Id": 6, "startDate": "2000-01-01", "endDate": "2040-12-31"}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }}